dropbear breaks upgrade if openssh-server has been installed

Bug #1026221 reported by Mark A. Hershberger on 2012-07-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dropbear (Ubuntu)
Undecided
Unassigned

Bug Description

Dropbear fails on upgrade. It is failing because openssh-server has been installed (another dep problem for which I am filing a bug). dropbear doesn't start when it is first installed if it sees that openssh-server is installed, avoiding this problem, but it doesn't check on upgrades.

Checks should be done during an upgrade to make sure if the environment has changed (those crazy users!), the upgrade still works.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers